
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MPDM_RESOURCE_TYPE')
 CREATE TABLE T_MPDM_RESOURCE_TYPE (
	FID                BIGINT                 DEFAULT 0        NOT NULL,          	
	FNUMBER            NVARCHAR(30)           DEFAULT ' '      NOT NULL,	       
	FSTATUS            NVARCHAR(50)           DEFAULT ' '      NOT NULL,          	
	FCREATORID         BIGINT                 DEFAULT 0        NOT NULL,          	
	FMODIFIERID        BIGINT                 DEFAULT 0        NOT NULL,          	
	FENABLE            NVARCHAR(50)           DEFAULT ' '      NOT NULL,          	
	FCREATETIME        DATETIME,                   	          	          	       
	FMODIFYTIME        DATETIME,                                                   
	FMASTERID          BIGINT                 DEFAULT 0        NOT NULL,    	    
	FLONGNUMBER        NVARCHAR(50)           DEFAULT ' '      NOT NULL,	      
	FLEVEL             INT                    DEFAULT 0        NOT NULL,           
	FISLEAF            CHAR(1)                DEFAULT '0'      NOT NULL,   	      
	FPARENTID          BIGINT                 DEFAULT 0        NOT NULL,    	  
	FCREATEORGID       BIGINT                 DEFAULT 0        NOT NULL, 	      
	FORGID             BIGINT                 DEFAULT 0        NOT NULL,       	  
	FCTRLSTRATEGY      NVARCHAR(50)           DEFAULT ' '      NOT NULL,	      
	FSOURCEDATAID      BIGINT                 DEFAULT 0        NOT NULL,	     
	FBITINDEX          INT                    DEFAULT 0        NOT NULL,          
	FSOURCEBITINDEX    INT                    DEFAULT 0        NOT NULL 	        
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MPDM_RESOURCE_TYPE_L')
 CREATE TABLE T_MPDM_RESOURCE_TYPE_L (
	FPKID              NVARCHAR(36)           DEFAULT ' '      NOT NULL,        
	FID                BIGINT                 DEFAULT 0        NOT NULL,      
	FLOCALEID          NVARCHAR(10)           DEFAULT ' '      NOT NULL,   
	FNAME              NVARCHAR(50)           DEFAULT ' '      NOT NULL,	
	FFULLNAME          NVARCHAR(50)           DEFAULT ' '      NOT NULL,	
	FREMARK            NVARCHAR(255)          DEFAULT ' '      NOT NULL	
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MPDM_RESOURCEPLANSTATUS')
 CREATE TABLE T_MPDM_RESOURCEPLANSTATUS (
    FID                BIGINT                 DEFAULT 0        NOT NULL,          	
	FNUMBER            NVARCHAR(30)           DEFAULT ' '      NOT NULL,	
	FSTATUS            NVARCHAR(50)           DEFAULT ' '      NOT NULL,	
	FCREATORID         BIGINT                 DEFAULT 0        NOT NULL,   
	FMODIFIERID        BIGINT                 DEFAULT 0        NOT NULL,  	
	FENABLE            NVARCHAR(50)           DEFAULT ' '      NOT NULL,	
	FCREATETIME        DATETIME,            
	FMODIFYTIME        DATETIME,            
	FMASTERID          BIGINT                 DEFAULT 0        NOT NULL,    
	FCREATEORGID       BIGINT                 DEFAULT 0        NOT NULL, 	
	FORGID             BIGINT                 DEFAULT 0        NOT NULL,       
	FCTRLSTRATEGY      NVARCHAR(50)           DEFAULT ' '      NOT NULL,	
	FSOURCEDATAID      BIGINT                 DEFAULT 0        NOT NULL,	
	FBITINDEX          INT                    DEFAULT 0        NOT NULL,       
	FSOURCEBITINDEX    INT                    DEFAULT 0        NOT NULL, 	
	FAUDITORID         BIGINT                 DEFAULT 0        NOT NULL,   	
	FAUDITDATE         DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MPDM_RESOURCEPLANSTATUS_L')
 CREATE TABLE T_MPDM_RESOURCEPLANSTATUS_L (
	FPKID              NVARCHAR(36)           DEFAULT ' '      NOT NULL,          	
	FID                BIGINT                 DEFAULT 0        NOT NULL,          	
	FLOCALEID          NVARCHAR(10)           DEFAULT ' '      NOT NULL,          	
	FNAME              NVARCHAR(50)           DEFAULT ' '      NOT NULL,	
	FREMARK            NVARCHAR(255)          DEFAULT ' '      NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MPDM_RESOURCE_LEVEL')
 CREATE TABLE T_MPDM_RESOURCE_LEVEL (
	FID                BIGINT                  DEFAULT 0       NOT NULL,          
	FNUMBER            NVARCHAR(30)            DEFAULT ' '     NOT NULL,	
	FSTATUS            NVARCHAR(50)            DEFAULT ' '     NOT NULL,	
	FCREATORID         BIGINT                  DEFAULT 0       NOT NULL,   	
	FMODIFIERID        BIGINT                  DEFAULT 0       NOT NULL,  	
	FENABLE            NVARCHAR(50)            DEFAULT ' '     NOT NULL,	
	FCREATETIME        DATETIME,                   
	FMODIFYTIME        DATETIME,                 
	FMASTERID          BIGINT                  DEFAULT 0       NOT NULL,   
	FCREATEORGID       BIGINT                  DEFAULT 0       NOT NULL, 	
	FORGID             BIGINT                  DEFAULT 0       NOT NULL,       
	FCTRLSTRATEGY      NVARCHAR(50)            DEFAULT ' '     NOT NULL,	
	FSOURCEDATAID      BIGINT                  DEFAULT 0       NOT NULL,	
	FBITINDEX          INT                     DEFAULT 0       NOT NULL,       
	FSOURCEBITINDEX    INT                     DEFAULT 0       NOT NULL,
	FAUDITORID         BIGINT                  DEFAULT 0       NOT NULL,   	
	FAUDITDATE         DATETIME                    
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MPDM_RESOURCE_LEVEL_L')
 CREATE TABLE T_MPDM_RESOURCE_LEVEL_L (
	FPKID              NVARCHAR(36)           DEFAULT ' '      NOT NULL,          	
	FID                BIGINT                 DEFAULT 0        NOT NULL,          	
	FLOCALEID          NVARCHAR(10)           DEFAULT ' '      NOT NULL,          	
	FNAME              NVARCHAR(50)           DEFAULT ' '      NOT NULL,	
	FREMARK            NVARCHAR(255)          DEFAULT ' '      NOT NULL
);



IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MPDM_RESOURCE')
 CREATE TABLE T_MPDM_RESOURCE (
	FID                       BIGINT                 DEFAULT 0        NOT NULL,         
	FNUMBER                   NVARCHAR(30)           DEFAULT ' '      NOT NULL,	
	FSTATUS                   NVARCHAR(50)           DEFAULT ' '      NOT NULL,	
	FCREATORID                BIGINT                 DEFAULT 0        NOT NULL,   	
	FMODIFIERID               BIGINT                 DEFAULT 0        NOT NULL,  	
	FENABLE                   NVARCHAR(50)           DEFAULT ' '      NOT NULL,	
	FCREATETIME               DATETIME,                   
	FMODIFYTIME               DATETIME,                   
	FMASTERID                 BIGINT                 DEFAULT 0        NOT NULL,   
	FLONGNUMBER               NVARCHAR(50)           DEFAULT ' '      NOT NULL,	
	FLEVEL                    INT                    DEFAULT 0        NOT NULL,          
	FISLEAF                   CHAR(1)                DEFAULT '0'      NOT NULL,   	
	FPARENTID                 BIGINT                 DEFAULT 0        NOT NULL,    	
	FCREATEORGID              BIGINT                 DEFAULT 0        NOT NULL, 	
	FORGID                    BIGINT                 DEFAULT 0        NOT NULL,      
	FCTRLSTRATEGY             NVARCHAR(50)           DEFAULT ' '      NOT NULL,	
	FSOURCEDATAID             BIGINT                 DEFAULT 0        NOT NULL,	
	FBITINDEX                 INT                    DEFAULT 0        NOT NULL,       	
	FSOURCEBITINDEX           INT                    DEFAULT 0        NOT NULL, 	
	FRESPONSIBLEPERSONID      BIGINT                 DEFAULT 0        NOT NULL,	
	FRESPONSIBLEORGID         BIGINT                 DEFAULT 0        NOT NULL,	
	FRESOURCETYPEID           BIGINT                 DEFAULT 0        NOT NULL,	
	FRESOURCELEVELID          BIGINT                 DEFAULT 0        NOT NULL,	
	FAUDITORID                BIGINT                 DEFAULT 0        NOT NULL,   	
	FAUDITDATE                DATETIME                    	
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MPDM_RESOURCE_L')
 CREATE TABLE T_MPDM_RESOURCE_L (
	FPKID                    NVARCHAR(36)           DEFAULT ' '        NOT NULL,          	
	FID                      BIGINT                 DEFAULT 0          NOT NULL,          	
	FLOCALEID                NVARCHAR(10)           DEFAULT ' '        NOT NULL,          	
	FNAME                    NVARCHAR(50)           DEFAULT ' '        NOT NULL,	
	FFULLNAME                NVARCHAR(50)           DEFAULT ' '        NOT NULL,	
	FREMARK                  NVARCHAR(255)          DEFAULT ' '        NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MPDM_RESOURCE_CONF')
 CREATE TABLE T_MPDM_RESOURCE_CONF (
	FID                       BIGINT               DEFAULT 0             NOT NULL,          
	FENTRYID                  BIGINT               DEFAULT 0             NOT NULL,     	
	FSEQ                      INT                  DEFAULT 0             NOT NULL,            	
	FABILITYID                BIGINT               DEFAULT 0             NOT NULL,   	
	FSUPPLYWAY                NVARCHAR(50)         DEFAULT ' '           NOT NULL,	
	FABILITYMULTIPLE          INT                  DEFAULT 0             NOT NULL,	
	FPRIORITY                 INT                  DEFAULT 0             NOT NULL       
);

