﻿IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MPDM_WORKCATEGORY')
 CREATE TABLE T_MPDM_WORKCATEGORY (
	FID               BIGINT           DEFAULT 0   NOT NULL,        
	FNUMBER           NVARCHAR(30)     DEFAULT ' ' NOT NULL,        
	FNAME             NVARCHAR(50)     DEFAULT ' ' NOT NULL,        
	FSTATUS           NVARCHAR(50)     DEFAULT ' ' NOT NULL,        
	FCREATORID        BIGINT           DEFAULT 0   NOT NULL,       
	FMODIFIERID       BIGINT           DEFAULT 0   NOT NULL,       
	FENABLE           NVARCHAR(50)     DEFAULT ' ' NOT NULL,        
	FCREATETIME       DATETIME,        
	FMODIFYTIME       DATETIME,        
	FMASTERID         BIGINT           DEFAULT 0   NOT NULL,        
	FCREATEORGID      BIGINT           DEFAULT 0   NOT NULL,       
	FORGID            BIGINT           DEFAULT 0   NOT NULL,       
	FCTRLSTRATEGY     NVARCHAR(50)     DEFAULT ' ' NOT NULL,        
	FSOURCEDATAID     BIGINT           DEFAULT 0   NOT NULL,       
	FBITINDEX         INT              DEFAULT 0   NOT NULL,        
	FSOURCEBITINDEX   INT              DEFAULT 0   NOT NULL,       
	FSTATE            NVARCHAR(255)    DEFAULT ' ' NOT NULL,       
	FAUDITOR          BIGINT           DEFAULT 0   NOT NULL,       
	FADUITTIME        DATETIME,       
	FREMARK           NVARCHAR(255)    DEFAULT ' ' NOT NULL     
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MPDM_WORKCATEGORY_L')
 CREATE TABLE T_MPDM_WORKCATEGORY_L (
	FPKID             NVARCHAR(36)     DEFAULT ' ' NOT NULL,       
	FID               BIGINT           DEFAULT 0   NOT NULL,      
	FLOCALEID         NVARCHAR(10)     DEFAULT ' ' NOT NULL,        
	FNAME             NVARCHAR(50)     DEFAULT ' ' NOT NULL   
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MPDM_WORKDETAILINFO')
 CREATE TABLE T_MPDM_WORKDETAILINFO (
	FID               BIGINT           DEFAULT 0   NOT NULL,       
	FENTRYID          BIGINT           DEFAULT 0   NOT NULL,        
	FSEQ              INT              DEFAULT 0   NOT NULL,       
	FNAME             NVARCHAR(50)     DEFAULT ' ' NOT NULL,        
	FSTATE            NVARCHAR(255)    DEFAULT ' ' NOT NULL,       
	FSTATUS           NVARCHAR(50)     DEFAULT ' ' NOT NULL        
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MPDM_WORKSCOPE')
 CREATE TABLE T_MPDM_WORKSCOPE (
	FID                       BIGINT         DEFAULT 0     NOT NULL,       
	FNUMBER                   NVARCHAR(30)   DEFAULT ' '   NOT NULL,       			
	FNAME                     NVARCHAR(50)   DEFAULT ' '   NOT NULL,       
	FSTATUS                   NVARCHAR(50)   DEFAULT ' '   NOT NULL,       
	FCREATORID                BIGINT         DEFAULT 0     NOT NULL,      
	FMODIFIERID               BIGINT         DEFAULT 0     NOT NULL,        
	FENABLE                   NVARCHAR(50)   DEFAULT ' '   NOT NULL,      
	FCREATETIME               DATETIME,       
	FMODIFYTIME               DATETIME,       
	FMASTERID                 BIGINT         DEFAULT 0     NOT NULL,       
	FCREATEORGID              BIGINT         DEFAULT 0     NOT NULL,      
	FORGID                    BIGINT         DEFAULT 0     NOT NULL,       
	FCTRLSTRATEGY             NVARCHAR(50)   DEFAULT ' '   NOT NULL,       
	FSOURCEDATAID             BIGINT         DEFAULT 0     NOT NULL,       
	FBITINDEX                 INT            DEFAULT 0     NOT NULL,    
	FSOURCEBITINDEX           INT            DEFAULT 0     NOT NULL,      
	FAUDITOR                  BIGINT         DEFAULT 0     NOT NULL,     
	FADUITTIME                DATETIME,      
	FCOMBOTYPE                NVARCHAR(50)   DEFAULT ' '   NOT NULL,      
	FCOMBOSYMBOL              NVARCHAR(50)   DEFAULT ' '   NOT NULL,       
	FREMARK                   NVARCHAR(255)  DEFAULT ' '   NOT NULL,        
	FCONTENTDETAIL            NVARCHAR(255)  DEFAULT ' '   NOT NULL,        
	FCONTENTDETAIL_TAG        NCLOB   
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MPDM_WORKSCOPE_L')
 CREATE TABLE T_MPDM_WORKSCOPE_L (
	FPKID                    NVARCHAR(36)     DEFAULT ' ' NOT NULL,        
	FID                      BIGINT          DEFAULT 0     NOT NULL,       
	FLOCALEID                NVARCHAR(10)    DEFAULT ' '   NOT NULL,       
	FNAME                    NVARCHAR(50)    DEFAULT ' '   NOT NULL       
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MPDM_WORKSCOPE_CATE')
 CREATE TABLE T_MPDM_WORKSCOPE_CATE (
	FID                      BIGINT          DEFAULT 0      NOT NULL,
	FENTRYID                 BIGINT          DEFAULT 0      NOT NULL,       
	FSEQ                     INT             DEFAULT 0      NOT NULL,        
	FWORKCATEID              BIGINT          DEFAULT 0      NOT NULL,       
	FCONNECTOR               NVARCHAR(50)    DEFAULT ' '    NOT NULL,        
	FPRIORITY                INT             DEFAULT 0      NOT NULL,       
	FTYPEDESC                NVARCHAR(255)   DEFAULT ' '    NOT NULL,       
	FTYPEDESC_TAG            NCLOB   
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MPDM_WORKSCOPE_DETAIL')
 CREATE TABLE T_MPDM_WORKSCOPE_DETAIL (
	FENTRYID                BIGINT          DEFAULT 0       NOT NULL,       
	FDETAILID               BIGINT          DEFAULT 0       NOT NULL,      
	FSEQ                    INT             DEFAULT 0       NOT NULL,       
	FSELECT                 CHAR(1)         DEFAULT '0'     NOT NULL,        
	FNAME                   NVARCHAR(50)    DEFAULT ' '     NOT NULL,        
	FSTATE                  NVARCHAR(255)   DEFAULT ' '     NOT NULL,      
	FDETAILSTATUS           NVARCHAR(50)    DEFAULT ' '     NOT NULL       
);





