﻿IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MPDM_APSYSTEM')
CREATE TABLE T_MPDM_APSYSTEM
(
	  FID               BIGINT         DEFAULT 0      NOT NULL,    
      FNAME             NVARCHAR(50)    DEFAULT ' '   NOT NULL,     
	  FNUMBER           NVARCHAR(30)   DEFAULT ' '    NOT NULL, 	
	  FSTATUS           NVARCHAR(1)    DEFAULT ' '    NOT NULL, 	
	  FCREATORID        BIGINT         DEFAULT 0      NOT NULL,   	
	  FMODIFIERID       BIGINT         DEFAULT 0      NOT NULL,  	
	  FENABLE           NVARCHAR(1)    DEFAULT ' '    NOT NULL, 
	  FCREATETIME       DATETIME ,                  	
	  FMODIFYTIME       DATETIME ,                  	
	  FMASTERID         BIGINT         DEFAULT 0      NOT NULL,    	
	  FCREATEORGID      BIGINT         DEFAULT 0      NOT NULL, 
	  FORGID            BIGINT         DEFAULT 0      NOT NULL,       
	  FUSEORGID         BIGINT         DEFAULT 0      NOT NULL,    	
	  FCTRLSTRATEGY     NVARCHAR(5)    DEFAULT ' '    NOT NULL, 	
	  FSOURCEDATAID     BIGINT         DEFAULT 0      NOT NULL, 
	  FBITINDEX         INT            DEFAULT 0      NOT NULL,       
	  FSOURCEBITINDEX   INT            DEFAULT 0      NOT NULL, 	
	  FMTCINFOID        BIGINT         DEFAULT 0      NOT NULL,   	
	  FMANUFACTURERID   BIGINT         DEFAULT 0      NOT NULL, 	
	  FAUDITORID        BIGINT         DEFAULT 0      NOT NULL,   	
	  FAUDITTIME        DATETIME ,                   
	  FAPMODEL          NVARCHAR(255)  DEFAULT ' '    NOT NULL, 	
	  FAPSEQ            NVARCHAR(255)  DEFAULT ' '    NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MPDM_APSYSTEM_L')
CREATE TABLE T_MPDM_APSYSTEM_L
(
	  FPKID             NVARCHAR(255)   DEFAULT ' '   NOT NULL,          	
	  FID               BIGINT          DEFAULT 0     NOT NULL,          	
	  FLOCALEID         NVARCHAR(255)   DEFAULT ' '   NOT NULL,          
	  FNAME             NVARCHAR(50)    DEFAULT ' '   NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MPDM_CABINCONFIG')
CREATE TABLE T_MPDM_CABINCONFIG
(
	  FID              BIGINT          DEFAULT 0       NOT NULL,   
      FNAME            NVARCHAR(50)    DEFAULT ' '     NOT NULL,  	  
	  FNUMBER          NVARCHAR(30)    DEFAULT ' '     NOT NULL, 	
	  FSTATUS          NVARCHAR(1)     DEFAULT ' '     NOT NULL, 	
	  FCREATORID       BIGINT          DEFAULT 0       NOT NULL,   	
	  FMODIFIERID      BIGINT          DEFAULT 0       NOT NULL,  	
	  FENABLE          NVARCHAR(1)     DEFAULT ' '     NOT NULL, 	
	  FCREATETIME      DATETIME ,                  	
	  FMODIFYTIME      DATETIME ,                  
	  FMASTERID        BIGINT          DEFAULT 0       NOT NULL,    	
	  FCREATEORGID     BIGINT          DEFAULT 0       NOT NULL, 	
	  FORGID           BIGINT          DEFAULT 0       NOT NULL,       
	  FUSEORGID        BIGINT          DEFAULT 0       NOT NULL,    	
	  FCTRLSTRATEGY    NVARCHAR(5)     DEFAULT ' '     NOT NULL, 	
	  FSOURCEDATAID    BIGINT          DEFAULT 0       NOT NULL,
	  FBITINDEX        INT             DEFAULT 0       NOT NULL,       	
	  FSOURCEBITINDEX  INT             DEFAULT 0       NOT NULL, 	
	  FAUDITORID       BIGINT          DEFAULT 0       NOT NULL,   	
	  FAUDITTIME       DATETIME            
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MPDM_CABINCONFIG_L')
CREATE TABLE T_MPDM_CABINCONFIG_L
(
	  FPKID           NVARCHAR(255)     DEFAULT ' '    NOT NULL,          	
	  FID             BIGINT            DEFAULT 0      NOT NULL,          	
	  FLOCALEID       NVARCHAR(255)     DEFAULT ' '    NOT NULL,          	
	  FNAME           NVARCHAR(50)      DEFAULT ' '    NOT NULL, 	
	  FREMARK         NVARCHAR(255)     DEFAULT ' '    NOT NULL 
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MPDM_OWNERINFO')
CREATE TABLE T_MPDM_OWNERINFO
(
	  FID              BIGINT            DEFAULT 0      NOT NULL,  
      FNAME            NVARCHAR(50)      DEFAULT ' '    NOT NULL,  	  
	  FNUMBER          NVARCHAR(30)      DEFAULT ' '    NOT NULL, 	
	  FSTATUS          NVARCHAR(1)       DEFAULT ' '    NOT NULL, 	
	  FCREATORID       BIGINT            DEFAULT 0      NOT NULL,   
	  FMODIFIERID      BIGINT            DEFAULT 0      NOT NULL,  	
	  FENABLE          NVARCHAR(1)       DEFAULT ' '    NOT NULL, 	
	  FCREATETIME      DATETIME ,                  	
	  FMODIFYTIME      DATETIME ,                 
	  FMASTERID        BIGINT            DEFAULT 0      NOT NULL,    	
	  FCREATEORGID     BIGINT            DEFAULT 0      NOT NULL, 	
	  FORGID           BIGINT            DEFAULT 0      NOT NULL,     
	  FUSEORGID        BIGINT            DEFAULT 0      NOT NULL,   
	  FCTRLSTRATEGY    NVARCHAR(5)       DEFAULT ' '    NOT NULL, 
	  FSOURCEDATAID    BIGINT            DEFAULT 0      NOT NULL, 	
	  FBITINDEX        INT               DEFAULT 0      NOT NULL,       
	  FSOURCEBITINDEX  INT               DEFAULT 0      NOT NULL, 	
	  FOPERATORID      BIGINT            DEFAULT 0      NOT NULL,  
	  FMTCINFOID       BIGINT            DEFAULT 0      NOT NULL,   
	  FBUILDERID       BIGINT            DEFAULT 0      NOT NULL,   
	  FISLEASE         CHAR(1)           DEFAULT '0'    NOT NULL, 	
	  FAUDITORID       BIGINT            DEFAULT 0      NOT NULL, 
	  FAUDITTIME       DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MPDM_OWNERINFO_L')
CREATE TABLE T_MPDM_OWNERINFO_L
(
	  FPKID           NVARCHAR(255)       DEFAULT ' '   NOT NULL,          
	  FID             BIGINT              DEFAULT 0     NOT NULL,          
	  FLOCALEID       NVARCHAR(255)       DEFAULT ' '   NOT NULL,          	
	  FNAME           NVARCHAR(50)        DEFAULT ' '   NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MPDM_VALUEINFO')
CREATE TABLE T_MPDM_VALUEINFO
(
	  FID                  BIGINT             DEFAULT 0       NOT NULL,   
      FNAME                NVARCHAR(50)       DEFAULT ' '     NOT NULL,  	  
	  FNUMBER              NVARCHAR(30)       DEFAULT ' '     NOT NULL, 	
	  FSTATUS              NVARCHAR(1)        DEFAULT ' '     NOT NULL, 	
	  FCREATORID           BIGINT             DEFAULT 0       NOT NULL,   	
	  FMODIFIERID          BIGINT             DEFAULT 0       NOT NULL,  	
	  FENABLE              NVARCHAR(1)        DEFAULT ' '     NOT NULL, 	
	  FCREATETIME          DATETIME ,                  	
	  FMODIFYTIME          DATETIME ,                  	
	  FMASTERID            BIGINT             DEFAULT 0       NOT NULL,    	
	  FCREATEORGID         BIGINT             DEFAULT 0       NOT NULL, 	
	  FORGID               BIGINT             DEFAULT 0       NOT NULL,       
	  FUSEORGID            BIGINT             DEFAULT 0       NOT NULL,    	
	  FCTRLSTRATEGY        NVARCHAR(5)        DEFAULT ' '     NOT NULL, 
	  FSOURCEDATAID        BIGINT             DEFAULT 0       NOT NULL, 
	  FBITINDEX            INT                DEFAULT 0       NOT NULL,       	
	  FSOURCEBITINDEX      INT                DEFAULT 0       NOT NULL, 	
	  FMTCINFOID           BIGINT             DEFAULT 0       NOT NULL,   	
	  FAUDITORID           BIGINT             DEFAULT 0       NOT NULL,   
	  FAUDITTIME           DATETIME ,                  
	  FMARKETVALUE         DECIMAL(23,10)     DEFAULT 0       NOT NULL, 	
	  FCHARGEUNITID        BIGINT             DEFAULT 0       NOT NULL, 	
	  FVADATE              DATETIME,                  
	  FRECORDDATE          DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MPDM_VALUEINFO_L')
CREATE TABLE T_MPDM_VALUEINFO_L
(
	  FPKID                NVARCHAR(255)      DEFAULT ' '     NOT NULL,          	
	  FID                  BIGINT             DEFAULT 0       NOT NULL,          
	  FLOCALEID            NVARCHAR(255)      DEFAULT ' '     NOT NULL,          	
	  FNAME                NVARCHAR(50)       DEFAULT ' '     NOT NULL
);



















